> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new BookingDetail Object

> ## Create a new BookingDetail Object ##

<p>
Creates a new BookingDetail Object.
</p>

## Response ##
**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>bookingDetailId</td><td>n</td><td>Integer</td><td>ID of the newly created Booking Detail.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/bookingdetail
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/bookingdetail:
    post:
      tags:
        - Version 1
        - Booking Details
      summary: Create a new BookingDetail Object
      description: |-
        ## Create a new BookingDetail Object ##

        <p>
        Creates a new BookingDetail Object.
        </p>

        ## Response ##
        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>bookingDetailId</td><td>n</td><td>Integer</td><td>ID of the newly created Booking Detail.</td>
                 </tr>
             </tbody>
         </table>
      operationId: createBookingDetailAction
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: Allocation details to update
        required: true
        content:
          application/json:
            schema:
              required:
                - name
                - pickups
              properties:
                name:
                  description: Name of pickup set.
                  type: string
                pickups:
                  description: Array of Pickup objects.
                  type: array
                  items:
                    required:
                      - pickupTime
                      - pickupLocation
                    properties:
                      pickupTime:
                        description: Pickup time.
                        type: string
                      pickupLocation:
                        description: Name of pickup location.
                        type: string
                    type: object
                supplierBookingDetailsOptionalFields:
                  description: Array of supplierBookingDetailsOptionalFields objects.
                  type: array
                  items:
                    properties:
                      title:
                        description: Title of optional field
                        type: string
                    type: object
              type: object
      responses:
        '201':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.